Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::ThreadedSocketAcceptor::ConnectionThreadInfo Struct Reference

Collaboration diagram for FIX::ThreadedSocketAcceptor::ConnectionThreadInfo:
[legend]

List of all members.

## Public Member Functions

| ConnectionThreadInfo (ThreadedSocketAcceptor *pAcceptor, ThreadedSocketConnection *pConnection)

## Public Attributes

ThreadedSocketAcceptor * | m_pAcceptor
ThreadedSocketConnection * | m_pConnection

## Detailed Description

Definition at line 59 of file ThreadedSocketAcceptor.h.

## Constructor & Destructor Documentation

FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::ConnectionThreadInfo | ( | ThreadedSocketAcceptor * | pAcceptor,
|  | ThreadedSocketConnection * | pConnection |
| ) |  |  | `[inline]`

Definition at line 61 of file ThreadedSocketAcceptor.h.

    00063     : m_pAcceptor( pAcceptor ), m_pConnection( pConnection ) {}

## Member Data Documentation

ThreadedSocketAcceptor* FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::m_pAcceptor

Definition at line 65 of file ThreadedSocketAcceptor.h.

ThreadedSocketConnection* FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::m_pConnection

Definition at line 66 of file ThreadedSocketAcceptor.h.

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/ThreadedSocketAcceptor.h